Auth Provider List
Retrieve a list of authentication providers. Storyden supports a few ways to authenticate, from simple passwords to OAuth and WebAuthn. This endpoint tells a client which auth capabilities are enabled.
Retrieve a list of authentication providers. Storyden supports a few ways to authenticate, from simple passwords to OAuth and WebAuthn. This endpoint tells a client which auth capabilities are enabled.
storyden-session<token>OK
application/json- response
providers*array<>mode*AuthMode"handle""email""phone"curl -X GET 'https://example.com/api/auth'{ "providers": [ { "provider": "string", "name": "string", "link": "string" } ], "mode": "handle"}Auth Password Update PATCH
Given the requesting account has a password authentication, update the password on file.
Auth Provider Logout POST
Performs a HTTP logout by clearing the session cookie and redirecting to to the requested path at the frontend's `WEB_ADDRESS`. Typically this may be a secondary logout route on the frontend implementation that can handle any frontend-specific logout tasks. This is necessary in cases where the frontend is running on a different origin to the API service such as api.site.com vs site.com because Clear-Site-Data and other headers are same-origin compliant and won't work cross-origin.